import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
s3_storage = client.storage.object_storages.get(
0,
)
print(s3_storage.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
s3Storage, err := client.Storage.ObjectStorages.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", s3Storage.ID)
}
curl --request GET \
--url https://api.gcore.com/storage/v4/object_storages/{storage_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/v4/object_storages/{storage_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "luxembourg-2.storage.example.com",
"created_at": "2025-08-05T09:17:02Z",
"full_name": "696-my-storage-prod",
"id": 1,
"location_name": "luxembourg-2",
"name": "my-storage-prod",
"provisioning_status": "active"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Get S3-compatible storage
Returns details of a specific S3-compatible storage instance.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
s3_storage = client.storage.object_storages.get(
0,
)
print(s3_storage.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
s3Storage, err := client.Storage.ObjectStorages.Get(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", s3Storage.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Storage ID
Response
S3StorageListItemV4
Full hostname/address for accessing the storage endpoint
"luxembourg-2.storage.example.com"
ISO 8601 timestamp when the storage was created
"2025-08-05T09:17:02Z"
Read-only internal full name of the storage, composed as "{client_id}-{name}".
Used internally by the backend. Clients should continue to identify the storage by name.
"696-my-storage-prod"
Unique identifier for the storage instance
1
Geographic location code where the storage is provisioned
"luxembourg-2"
User-defined name for the storage instance, as supplied at creation time.
"my-storage-prod"
Lifecycle status of the storage. Use this to check readiness before operations.
creating, active, updating, deleting, deleted "active"
Was this page helpful?